Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< bool > Class Template Reference
[Generic Values]

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< bool >:
[legend]

List of all members.

## Public Types
typedef bool | CppType
typedef gboolean | CType
## Public Member Functions
void | set (bool data)
bool | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< bool >

## Member Typedef Documentation

typedef bool Glib::Value< bool >::CppType

typedef gboolean Glib::Value< bool >::CType

## Member Function Documentation

bool Glib::Value< bool >::get | ( | ) | const

void Glib::Value< bool >::set | ( | bool | data ) |

static GType Glib::Value< bool >::value_type | ( | ) | `[static]`